Bug 111950 - Icons for Breeze Colibri, Sifr, (Tango) needed for Mail Merge Toolbar
Summary: Icons for Breeze Colibri, Sifr, (Tango) needed for Mail Merge Toolbar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Icon-Theme-Sifr Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2017-08-21 21:03 UTC by Gabor Kelemen
Modified: 2018-11-22 05:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screen print with icons missing (12.27 KB, image/png)
2018-11-21 19:50 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-08-21 21:03:01 UTC
1, Start Writer from the command line in a debug build
2, Select View - Toolbars - Mail Merge
3, In the terminal the following warnings appear, indicating the lack of icons belonging to the Mail Merge Toolbar - although the code is prepared for them:

 warn:ucb.ucp.gio:27404:1:ucb/source/ucp/gio/gio_content.cxx:393: ignoring GError "Operation not supported" for <>
warn:fwk.uiconfiguration:27404:1:framework/source/uiconfiguration/ImageArrayData.cxx:74: Failed to load image 'cmd/lc_mailmergeemaildocuments.png' from icon theme 'breeze'
warn:ucb.ucp.gio:27404:1:ucb/source/ucp/gio/gio_content.cxx:393: ignoring GError "Operation not supported" for <>
warn:fwk.uiconfiguration:27404:1:framework/source/uiconfiguration/ImageArrayData.cxx:74: Failed to load image 'cmd/lc_mailmergeexcludeentry.png' from icon theme 'breeze'
warn:ucb.ucp.gio:27404:1:ucb/source/ucp/gio/gio_content.cxx:393: ignoring GError "Operation not supported" for <>
warn:fwk.uiconfiguration:27404:1:framework/source/uiconfiguration/ImageArrayData.cxx:74: Failed to load image 'cmd/lc_mailmergecurrententry.png' from icon theme 'breeze'
warn:ucb.ucp.gio:27404:1:ucb/source/ucp/gio/gio_content.cxx:393: ignoring GError "Operation not supported" for <>
warn:fwk.uiconfiguration:27404:1:framework/source/uiconfiguration/ImageArrayData.cxx:74: Failed to load image 'cmd/lc_mailmergecreatedocuments.png' from icon theme 'breeze'
warn:ucb.ucp.gio:27404:1:ucb/source/ucp/gio/gio_content.cxx:393: ignoring GError "Operation not supported" for <>
warn:fwk.uiconfiguration:27404:1:framework/source/uiconfiguration/ImageArrayData.cxx:74: Failed to load image 'cmd/lc_mailmergesavedocuments.png' from icon theme 'breeze'
warn:ucb.ucp.gio:27404:1:ucb/source/ucp/gio/gio_content.cxx:393: ignoring GError "Operation not supported" for <>
warn:fwk.uiconfiguration:27404:1:framework/source/uiconfiguration/ImageArrayData.cxx:74: Failed to load image 'cmd/lc_mailmergeprintdocuments.png' from icon theme 'breeze'

My inspiration for filing this is https://bugs.documentfoundation.org/show_bug.cgi?id=109118#c6
Comment 1 Buovjaga 2017-08-31 19:50:28 UTC
Ok, NEW.
Comment 2 QA Administrators 2018-09-01 02:41:47 UTC Comment hidden (obsolete)
Comment 3 Roman Kuznetsov 2018-10-28 09:32:57 UTC
still need
Comment 4 Commit Notification 2018-11-01 14:18:57 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b69a4e1ac88086244446083fd28662e6d832ec10%5E%21

elementary: fix for tdf#111950, update Calc sidebar, add condition icon, distribute, etc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-11-03 18:38:25 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fd03b130525b9d7683c14939f6eec36895031930%5E%21

KJ: Fix for tdf#120300, tdf#120831, tdf#119731, tdf#111950 add Calc's sheet context menu, etc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Cor Nouws 2018-11-21 19:50:12 UTC
Created attachment 146892 [details]
screen print with icons missing
Comment 7 Cor Nouws 2018-11-21 19:52:01 UTC
@Ruzal: thanks for the icons, but it seems not for this issue?

The problem is annoying, since people miss part of the buttons when the tool bar doesn't fit in the window.
Comment 8 Cor Nouws 2018-11-21 19:54:54 UTC
(In reply to Cor Nouws from comment #7)
> @Ruzal: thanks for the icons, but it seems not for this issue?


Sorry, they do for 'Karasa Jaga'.
'Elementary' is there too.

Missing: Breeze Colibri, Sifr, (Tango)
Comment 9 Buovjaga 2018-11-22 05:58:29 UTC
Annoyance factor should rather be reflected in the priority, so switching things around.